@import "../../../assets/var-colors.scss";

.event-details-component { //global page
    display: flex;
    flex-direction: row-reverse;
    justify-content: space-around;
    flex-wrap: wrap;
}

.event-img { //image container
    align-self: center;
}

.event-img img, .event-img i { //image
    width: 500px;
    border-radius: 1%;
    box-shadow: 2px 2px 2px 1px;
}

.event-global-info { //all info except image
    width: 60%;
    padding-right: 20px;
    padding-left: 20px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-around;
}

.event-header { //header
    background-color: $color-grey-dark;
    border-radius: 50% 80% 50% 80%;
    box-shadow: 5px 5px 4px 4px $color-dark;
    width: 100%;
    margin-bottom: 40px;
    padding: 10px 150px 10px 150px;
}

.event-header h2 { //1st line of header
    text-transform: uppercase;
    margin-bottom: 15px;
    color: white;
    text-align: center;
}

.event-header h3 {
    color: white;
    text-align: center;
    margin: 0 25px 0 25px;
}

.event-titles-info { //2nd line of header
    display: flex;
    justify-content: center;
}

.event-details { // description and free text of the event
    width: 70%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-around;
}

.event-practical-info { // location and timetables
    width: 80%;
    margin-top: 40px;
    display: flex;
    justify-content: space-around;
    background-color: $color-grey-light;
    border-radius: 50% 20% / 10% 40%;
    box-shadow: 2px 2px 2px 1px;
}

.event-practical-info ul { //timetable part of practical-info
    width: 50%;
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
}

.event-location-info { //address part of practical-info
    width: 50%;
    border-left: 0.5px solid $color-dark;
    text-align: center;
}

.event-global-info p {
    margin: 20px;
}

.event-global-info a {
    margin-top: 25px;
    align-self: flex-end;
    color: $color-red;
    font-style: italic;
}

li {
    list-style-type: none;
    margin: 5px; 
}